2005-05-02  Jens Petersen  <petersen@redhat.com>

	* dict/GURMUKHI/phonetic.utf: Fixes and improvements from
	Amanpreet Singh Alam <aalam@redhat.com>.

2005-04-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* leif/iml.c
	* leif/le_proc.c
	* leif/hotkey_config.xml
	* leif/le_proc.h
	* leif/hotkey_config.c
	* leif/key_event.c
	* include/unit_input.h
	* Xctim/keymap.c
	* Xctim/ctfilter.c
	* Xdict/EUROPEAN/euro.utf

	Registered the following keyboard shortcuts as hotkeys 
	for inputting EURO SYMBOL

             <Altgraph> + 'e'
             <Altgraph> + 'E'
             <Altgraph> + '4'
             <Altgraph> + '5'	

	For keyboard that doesnot have a AlgGraph key, you can
	do :
	     xmodmap -e "add mod3 = Alt_R"

	Now EURO SYMBOL can be input using
	     <Alt_R> + 'e' 
             ...

2005-04-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/key_event.c
	* codepoint_im/codepoint_filter.c

	Fix to commit RETURN key when 0x000a is the input in UNICODE-HEX mode.

2005-04-13  Jens Petersen  <petersen@redhat.com>

	* ctim/Makefile.am (moduledir): Use IM_LEIFDIR instead of IM_LOCALEDIR.

	* Xdict/Makefile.am (datadir): Ditto.

	* Xdict/xdict.mak (dictdir): Ditto.

	* codepoint_im/Makefile.am (moduledir): Ditto.

	* Xctim/Makefile.am (moduledir): Ditto.

	* dict/Makefile.am (datadir): Ditto.

	* dict/cfg.mak (dictdir): Ditto.

	* dict/TAMIL/Makefile.am (cfgdir): Ditto.

	* dict/GUJARATI/Makefile.am (cfgdir): Ditto.

	* dict/GURMUKHI/Makefile.am (cfgdir): Ditto.

	* dict/BENGALI/Makefile.am (cfgdir): Ditto.

	* dict/MALAYALAM/Makefile.am (cfgdir): Ditto.

	* dict/dict.mak (dictdir): Ditto.

	* dict/HINDI/Makefile.am (cfgdir): Ditto.

	* dict/KANNADA/Makefile.am (cfgdir): Ditto.

	* dict/TELUGU/Makefile.am (cfgdir): Ditto.

	* Xcodetable/Makefile.am (bindir): Ditto.

	* codetable/Makefile.am (bindir): Ditto.

	* phonetic_im/Makefile.am (moduledir): Ditto.

	* leif/Makefile.am (datadir): Ditto.

2005-04-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c

	Pass "iml_desktop_t *" to switchLEProfile() and updateSupportedLocales()
	methods inorder to make it work for multi-user environment.

2005-04-01  Akira TAGOH  <tagoh@redhat.com>

	* dict/TAMIL/phonetic.utf: added a phonetic layout for TAMIL.
	(from Jatin Nansi <jnansi@redhat.com>)

	* dict/TAMIL/Makefile.am (DICT_FILES): added phonetic.data.

	* dict/sysime.cfg: added a phonetic layout.

	* dict/GUJARATI/inscript.utf: fixed the swapped inscript layout.
	(from Jatin Nansi <jnansi@redhat.com>)

2005-03-28  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c

	code cleanup

2005-03-21  Akira TAGOH  <tagoh@redhat.com>

	* Xcodetable/Makefile.am (bindir): install under $(IM_LOCALEDIR)/unitle/common

	* codepoint_im/Makefile.am (moduledir): likewise.

	* Xctim/Makefile.am (moduledir): likewise.

	* Xdict/Makefile.am (moduledir): likewise.

	* ctim/Makefile.am (moduledir): likewise.

	* phonetic_im/Makefile.am (moduledir): likewise.

	* dict/Makefile.am (datadir): install under $(IM_LOCALEDIR)/unitle

	* dict/cfg.mak (LE_LOCALE): Use unitle instead of UNIT.

	* dict/dict.mak (LE_LOCALE): likewise.

	* Xdict/xdict.mak (LE_LOCALE): likewise.

	* include/xaux_locale.h: Use unitle for XAUX_LOCALE_NAME instead of UNIT.

	* codetable/Makefile.am (bindir): install under $(IM_LOCALEDIR)/unitle/common

	* leif/Makefile.am (datadir): install under $(IM_LOCALEDIR)/unitle

	* leif/Makefile.am (LENAME): added.

	* include/unit_input.h: Use IIIMLEDIR for DEFAULT_ENGINE_PATH instead
	of hardcoding the real path.

2005-03-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c

	Passing the right argument for namespace based I/O API equivalent
	of stat()

2005-03-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* leif/le.c
	* leif/key_event.c
	* include/unit_input.h
	* dict/sysime.cfg

	- Introduced the functionality to switch to previous/next language
	  inside UNIT. This is also configurable by modifying entries in
	  sysime.cfg file under /usr/lib/im/locale/UNIT.

	- Default setting is :
	    Function key F5 to switch to next language
	    Function key F7 to switch to previous language
	    Function key F6 to switch among keyboard layouts for a language

	- User specific configuration can be achieved with the following
	  steps:
	    1. mkdir -p /var/lib/iiim/le/UNIT/<username>
	    2. cp /usr/lib/im/locale/UNIT/sysime.cfg /var/lib/iiim/le/UNIT/<username>
	    3. modify the settings (and also the customize the languages you
	       want to support) in /var/lib/iiim/le/UNIT/<username>/sysime.cfg
	    4. Restart the application

2005-03-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* leif/le.c

	- If a particular I/O call is not supported by the NS API,
	  then nsc_get_function() will return NULL.

	- Fixed compilation warnings
	
2005-03-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* include/unit_input.h

	Modified UNIT to be in sync with the NS based I/O API changes.

2005-03-03  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* leif/le.c: shouldn't call iml_status_draw, or any other iml regular
	functions except iml_aux_* when SC_REALIZE is being set

2005-03-03  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	
	- If there is no sysime.cfg under user's namespace, then the
	  default supported language list has to be updated in server.

2005-02-18  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/hotkey_config.xml

	- Removed the hotkey definitions for COMPOSE_KEY, since they
	  are used by the applications such as mozilla.

	- Instead added IM_VK_COMPOSE itself as hotkey. 

	Note: Inorder to use this hotkey from PC keyboard layout, 
	you've to use "gnome-keyboard-properties" -> "Layout options" 
	to choose either 'Menu key' or 'Right Alt' or 'Right Win-key' 
	as COMPOSE key.

2005-02-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* Xdict/ARABIC/arabic.utf

	Additional mappings added.

2005-02-08  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* Xctim/codetable.h
	* Xctim/ctfilter.c
	* Xdict/EUROPEAN/euro.utf

	Fixed the following bugs:
	- In Latin mode, Unable to type Enter/Return key after typing number
	- Removed duplicate mapping entries from euro.utf (because of this,
	  user's weren't able to commit the composed characters)


2005-01-31  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* Xctim/ctim.c
	* Xdict/TI_ER/eritrean.utf
	* Xdict/AMET/amharic.utf

	Disable lookup-choice-window for AMHARIC and TIGRIGNA and fixed some of the
	mapping entries.

2005-01-31  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * leif/le.c
        * leif/hotkey_config.xml
        * leif/hotkey_config.c

        Additional modifications to support the virtual keycode and
        modifier definitions in hotkey_config.xml file

2005-01-31  Akira TAGOH  <tagoh@redhat.com>

	* Xcodetable/x_txt2bin.c: added some missing header files.

	* codetable/bin2txt.c: likewise.

	* codetable/txt2bin.c: likewise.

2005-01-29  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit/leif/unit_input.c
	* leif/unit/leif/le.c
	* leif/unit/leif/le_proc.c
	* leif/unit/leif/hotkey_config.xml
	* leif/unit/leif/Makefile.am
	* leif/unit/leif/hotkey_config.c
	* leif/unit/leif/key_event.c
	* leif/unit/include/unit_input.h
	* leif/unit/Xctim/Makefile.am
	* leif/unit/Xctim/ctfilter.c
	* leif/unit/codepoint_im/Makefile.am
	* leif/unit/ctim/Makefile.am
	* leif/unit/phonetic_im/Makefile.am

	Removed the hardcoded hotkey profile definition inside UNIT to
	a XML based configuration file "hotkey_config.xml" (which will
	be installed under /usr/lib/im/locale/UNIT).

2005-01-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/le.c
	* leif/key_event.c

	if_le_SendEvent receives Hotkey as IM_HotkeyEvent instead of regular
	IM_EventKeyList.

2005-01-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* leif/le.c

	Sample implementation for using iml_nsc and iml_hkc for POSIX I/O
	and Hotkey related functionalities from LE.

2005-01-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* leif/le.c
	* include/unit_input.h

	Sample implementation for switching Hotkey Profile from LE.

2005-01-12  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/le.c

	Remove magic number for deadkey count.

2005-01-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/le.c

	- Instead of creating hotkey for each deadkey, register a single
	  hotkey with all the deadkey/modifier combinations

2005-01-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* leif/le.c
	* leif/le_proc.c
	* leif/key_event.c
	* include/unit_input.h
	* Xctim/ctfilter.c

	- Sample implementation of registering DEADKEY's as HOTKEY
	- Sample implementation to switch hotkey profile from LE
	  (using the existing iml_nsc interface)

2004-12-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* leif/le.c (if_GetHotKeyInfo): set L/E name.

2004-12-20  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	* Xdict/EUROPEAN/euro.utf
	
	- If there is no sysime.cfg under user's namespace, then no
	  no need to update the supported language list in server.

	- Added additional mapping entries for deadkey support.

2004-12-19  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit_input.c
	
	Corrected the sample implementation code for using the latest
        IO APIs.

2004-12-18  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* leif/le.c (if_GetHotKeyInfo):
	implement if_GetHotKeyInfo to return hotkey profile to the server

2004-12-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * leif/unit_input.c
        * include/unit_input.h

	Changes made to get the errno for NS IO APIs.

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * leif/unit_input.c
	
	More friendly POSIX IO APIs (now returns the exact error value
        so that LEs can handle error conditions)

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * leif/unit_input.c
        * leif/le.c

        - Sample Implementation of POSIX IO system calls opendir(), readdir(),
          closedir(), stat() and lstat()

        - Fixed few compiler warnings

2004-12-13  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* Xctim/codetable.c (normal_search): initialize outbuf_flag[]
	to zero, in order to avoid failures in "if (outbuf_flag[i] != 1)"
	as the resulfs that output_flag[i] remain uninitialized.

2004-12-08  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* leif/le.c: temporary hack: initializes hotkey profile only once
	in htt_server's life-time. Correct fix should be to create hotkey
	profile instance per IMDesktop instance. For this change, both
	unit(and all le to use hotkey profiles) and iiimsf have to be fixed
	with modified hot key profile handling APIs.

2004-12-04  Sriram Swaminathan  <sriram.swaminathan@sun.com>
	* leif/unit/Xctim/ctfilter.c
	* leif/unit/Makefile.am
	* leif/configure.ac
	
	Disabled phonetic_im in configure.ac & Makefile.am as it is not 
        used currently (to save some time in compilation)

2004-11-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>
	* leif/unit/leif/unit_input.c
	* leif/unit/leif/le.c
	* leif/unit/leif/le.h
	* leif/unit/include/unit_input.h
	* leif/unit/include/xaux_locale.h

        Sample implementation of POSIX IO API (open, read, write, close) protocol

2004-11-24  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

	* leif/le.c: fix build failures on Red Hat Linux 9.

2004-11-11  Akira TAGOH  <tagoh@redhat.com>

	* codetable/txt2bin.c (ReadInput): fixed the corrupt memory access.

	* codepoint_im/codepoint_table.c (LoadTableHeader): likewise.

	* Xcodetable/x_txt2bin.c (ReadInput): likewise.

	* phonetic_im/phonetic_table.c (indic_table;): likewise.

	* leif/unit_input.c
	* leif/encode_draw.h
	* leif/le.c
	* leif/le_proc.c
	* leif/iml.h
	* leif/le_proc.h
	* leif/key_event.c
	* leif/encode_draw.c
	* codetable/search.c
	* codetable/Makefile.am
	* codetable/txt2bin.c
	* codetable/bin2txt.c
	* include/encode.h
	* include/logf.h
	* Xctim/codetable.c
	* Xctim/keymap.c
	* Xctim/codetable.h
	* Xctim/keymap.h
	* Xctim/ctfilter.c
	* Xctim/ctim.c
	* codepoint_im/codepoint_filter.h
	* codepoint_im/codepoint_table.h
	* codepoint_im/codepoint_filter.c
	* codepoint_im/codepoint_im.c
	* codepoint_im/codepoint_table.c
	* Xcodetable/x_txt2bin.c
	* Xcodetable/Makefile.am
	* ctim/codetable.c
	* ctim/codetable.h
	* ctim/keymap.h
	* ctim/ctfilter.c
	* ctim/ctim.c
	* xaux_common/encode.c
	* phonetic_im/phonetic_im.c
	* phonetic_im/phonetic_filter.c
	* phonetic_im/phonetic_table.c
	* phonetic_im/phonetic_im.h
	* phonetic_im/phonetic_filter.h
	* phonetic_im/phonetic_table.h
	* phonetic_im/mapfile/mapfile2c/ucstoutf.c
	* phonetic_im/mapfile/lex.skel: another clean up to silence the gcc warnings.

2004-11-05  Leon Ho <llch@redhat.com>
    * leif/unit_input.c
    * leif/le.c
    * leif/iml.c
    * codetable/search.c
    * codetable/txt2bin.c
    * codetable/bin2txt.c
    * Xctim/codetable.c
    * Xcodetable/x_txt2bin.c
    * ctim/ctfilter.c

        Clean up some warnings to avoid potential problems

2004-10-18  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* leif/unit/leif/unit_input.c
	* leif/unit/leif/le.c
	* leif/unit/leif/le_proc.c
	* leif/unit/Xctim/keymap.c
	* leif/unit/Xctim/ctim.c

        Initial Implementation of HOTKEY registration from Language Engine.
        UNIT registers function key 'F9' as hotkey for 'Ctrl+Shift+T' (COMPOSE)

2004-10-15  Jens Petersen  <petersen@redhat.com>

	* dict/sysime.cfg: Default Hindi to inscript, phonetic, then trans
	(recommended by Jatin Nansi).

2003-10-12  Sriram Swaminathan  <sriram.swaminathan@sun.com>
	* leif/unit_input.c
	* leif/le.c
	* leif/key_event.c
	* include/unit_input.h

        - Sample implementation of iml listener functions to read
          namespace

2003-10-04  Sriram Swaminathan  <sriram.swaminathan@sun.com>
   * leif/unit_input.c
   * leif/le.c
   * leif/iml.c
   * leif/le_proc.c
   * leif/le.h
   * leif/key_event.c
   * leif/encode_draw.c
   * include/unit_input.h
   * include/xaux_locale.h

   - Initial implementation of namespace in UNIT using iml_getvalue()
     function
     * UNIT will check the local namespace location 
       /var/spool/iiimf/ns/<username>/<identifier>/sysime.cfg 
     * If the configuration file (sysime.cfg) is location in the
       local namespace, then it'll load it, else it'll load the file
       from the IIIMF default location (/usr/lib/im/locale/UNIT)

   - Fixed UNIT LE so that
     * Configuration and data files will be loaded per desktop. 
     * Two data structures unit_if_t (Unit Interface) and unit_desktop_t
       (Unit Desktop) are introduced to fix the "loading and maintaining 
       copies of data/config files per desktop" functionality.
   - Fixed some compilation warnings

2003-09-07  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * dict/BENGALI/inscript.utf
  * dict/GUJARATI/inscript.utf
  * dict/GURMUKHI/inscript.utf

  - Patch from Jatin Nansi integrated

2003-08-23  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * ctim/ctfilter.c
  * Xctim/ctfilter.c

  The problem of Ctrl key not working in terminal when Latin input
method is selected (ie, when trying to use the usual shortcuts as
Ctrl-C, Ctrl-Z etc.) is fixed.

2003-08-16  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * Xdict/TI_ER/eritrean.utf
  * Xdict/AM_ET/amharic.utf

  Changed the layout/locale name of the African input method.

2003-08-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * Xctim/ctfilter.c:
    Added the Implicit Commit feature

2004-07-16  Akira TAGOH  <tagoh@redhat.com>

	* leif/encode_draw.c (encode_draw_status): set empty string to take
	  care of IIIMF_STATUS_NO_STATUS_TEXT if status_len is zero.
	* leif/le_proc.c (le_status_draw): use "" instead of "ASCII".

2004-06-17  Sriram Swaminathan  <sriram.swaminathan@sun.com>

      * dict/HINDI/trans.utf
      - Key_Prompt is not used in CTIM 

2004-05-07  Sriram Swaminathan  <sriram.swaminathan@sun.com>

      *  include/unit_input.h
      *  Xctim/codetable.c
      *  Xctim/keymap.c
      *  Xctim/ctfilter.c
      *  Xdict/EUROPEAN/euro.utf

      - The problem "Unable to input many Latin-1 characters such as 
        superscripted and vulgar fractions " is fixed

2004-05-04  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* Xctim/ctfilter.c (codetable_filter): avoid using strlcpy

2004-04-09  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* leif/encode_draw.c (encode_commit):
	* leif/le_proc.c :
	- encode_commit can take comitt string length.

	* Xctim/ctfilter.c (codetable_filter):
	- fix slowness in ASCII character echo back in latin-1 mode.
	- fix potential memory leak.

2004-04-02  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * Makefile.am: Added phonetic_im subdirectory.
	* codepoint_im/codepoint_im.c: (codepoint_Open) added 
	  void *handler as 3rd argument to be compatible with phonetic_Open.
	* ctim/ctim.c: -do-
	* dict/sysime.cfg: Added the phonetic_im hooks, though
	  commented out for the time being, as integration is not yet complete.
	* dict/BENGALI/Makefile.am
	* dict/GUJARATI/Makefile.am
	* dict/GURMUKHI/Makefile.am
	* dict/HINDI/Makefile.am
	* dict/KANNADA/Makefile.am
	* dict/MALAYALAM/Makefile.am
	* dict/TAMIL/Makefile.am
	* dict/TELUGU/Makefile.am: Added phonetic.cfg.
	* include/unit_input.h: Added TAB_KEY
	  Added prev_preedit_buf to IME structure.
	  Modified the IME_Open API interface.
	* leif/le_proc.c: prev_preedit_buf alloc/free etc.
	  Added so_handler (function name of the routine to be called) hook 
	  for IME_Open.

2004-04-02  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * leif/unit/dict/sysime.cfg
  * leif/unit/Xdict/AM_ET
  * leif/unit/Xdict/AM_ET/amharic.utf
  * leif/unit/Xdict/AM_ET/Makefile.am
  * leif/unit/Xdict/Makefile.am
  
  Added Amharic language mode under UNIT (added the data file)

2004-04-01  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * leif/unit/dict/sysime.cfg
  * leif/unit/Xdict/TI_ER
  * leif/unit/Xdict/TI_ER/eritrean.utf
  * leif/unit/Xdict/TI_ER/Makefile.am
  * leif/unit/Xdict/Makefile.am
  
  Added Tigrigna-Eritrean language mode under UNIT (added the data file)

2004-03-31  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * leif/unit_input.c
  * leif/le.c
  * leif/key_event.c
  The following bugs are fixed:
  - memory leak in UNIT
  - Client applications once killed and restarted cannot switch input modes that
    is available under UNIT

2004-03-26  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * Fixed VIETNAMESE Input related issues.

2004-03-25  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * Added VIETNAMESE input method (data file) under Xctim.

2004-03-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * Xdict/CYRILLIC/cyrillic.utf: put "Cyrillic" to the layout Name.
  * Xdict/ARABIC/arabic.utf: put "Arabic" to the layout Name.
  * Xdict/GREEK/greek.utf: put "Greek" to the Layout Name.
  * Xdict/HEBREW/hebrew.utf: put "Hebrew" to the Layout Name.
  * Xdict/EUROPEAN/euro.utf: put "Latin" to the Layout Name.

2004-03-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * leif/iml.c
    Fixed Preedit/Lookup issue for iiimjcf clients
  * leif/le_proc.c: 
    - use "ASCII" instead of "English" for the default and 
      conversion off status string
    - Should remove square brackets around status text. Remove 
      square brackets and extra spaces around "English".
  * Xctim/ctfilter.c:
    - Problem to type 'Ctrl+Shift+T' (COMPOSE Key equivalent) is resolved
    - Patch to recognize, CAPS_LOCK
    - Fixed dead key input in EUROPEAN input mode.
  * Xctim/keymap.c
    - Fixed dead key input in EUROPEAN input mode.

2003-12-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * ctim/ctfilter.c:
    Added the Implicit Commit feature
  * include/unit_input.h:
    Fixed typo

2003-12-12  Sriram Swaminathan  <sriram.swaminathan@sun.com>
  * Added two new input methods:
   - Extended CTIM (Xctim for ARABIC, CYRILLIC, EUROPEAN, GREEK, HEBREW
     languages)
   - Unicode Code based Input Method (codepoint_im for UNICODE-HEX and
     UNICODE-OCTAL )
  * Replaced 'indic' with 'unit' in all source files, headers and
    Makefiles
  * Modified the target install location in Makefiles from
    /usr/lib/im/locale/in_IN to /usr/lib/im/locale/UNIT

2003-12-11  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* leif/le.c: make locales[MAX_SUPPORTED_LOCALES] static, otherwise
	cause a link error on Solaris.

	* leif/Makefile.am (indicle_la_LIBADD): Add -no-undefined

2003-12-09  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * Modified leif/le.c so that it can read /usr/lib/im/locale/UNIT/sysime.cfg 
    file and send a list of Supported locales to htt_server
  * Modified leif/le.c and leif/key_event.c to look for SC_CLIENT_LOCALE in
    if_le_SetSCValue() and switch to that particular locale.
  * Fixed memory leak.

2003-06-12  MIYASHITA Hisashi  <himi@li18nux.org>

	* xaux_common/Makefile.am (libxaux_common_a_CFLAGS):
	Added $(SHLIBCFLAGS).

2003-06-11  Sriram Swaminathan <sriram.swaminathan@sun.com>

	* Fix to make preedit/lookup window work fine in UNIT Language Engine
	* Fix to avoid SIGSEGV in htt_server

2003-06-10  MIYASHITA Hisashi  <himi@li18nux.org>

	* xaux_common/Makefile.am (libxaux_common_la_CFLAGS) 
	(libxaux_common_la_SOURCES, noinst_LTLIBRARIES):
	Built libxaux_common as a ltlibrary.

	* codetable/Makefile.am (COMMON_LIB): Link it with
	libxaux_common.la, not with libxaux_common.a.
	* ctim/Makefile.am (ctim_la_LIBADD): Likewise.
	* leif/Makefile.am (indicle_la_LIBADD): Likewise.

2003-06-04  MIYASHITA Hisashi  <himi@li18nux.org>

	* xaux_common/logf.c (log_f): Renamed from logf(), it may conflicts
	with names reserved by a system.
	(log_f): Use vsnprintf to avoid buffer overrun.  And merge the two
	versions of LOG_FILE and LOG_STDERR into one.
	(log_f): Use stdarg instead of varargs.
	* ctim/codetable.c: Replace logf with log_f.
	* ctim/ctfilter.c: Ditto.
	* ctim/ctim.c: Ditto.
	* ctim/keymap.c: Ditto.
	* leif/encode_draw.c: Ditto.
	* leif/iml.c: Ditto.
	* leif/indic_input.c: Ditto.
	* leif/key_event.c: Ditto.
	* leif/le.c: Ditto.
	* leif/le_proc.c: Ditto.

2003-05-20  MIYASHITA Hisashi  <himi@li18nux.org>

	* leif/iml.c (iml_preedit_start, iml_status_start): 
	Do iml_execute.

	* dict/TELUGU/Makefile.am (DATA_LOCALE):
	Bug fix.  Corrected the name.

